package main

import (
	"flag"
	"fmt"

	"github.com/robviren/xl/runner"
)

func main() {
	var (
		excel_file string
		get_top    bool
		month      int
	)

	flag.StringVar(&excel_file, "file", "", "The path to the excel file for processing")
	flag.BoolVar(&get_top, "get_top", false, "A command to get the top performers for the current month")
	flag.IntVar(&month, "month", 0, "Sets the month for the data to process")
	flag.Parse()

	run := runner.NewRunner()
	if excel_file != "" {
		run.ProcessExcel(excel_file)
	} else if get_top {
		data := run.GetTop()
		fmt.Println(data)
	} else {
		flag.PrintDefaults()
	}
}
